Support Center

Technical Requirements

Last Updated: May 24, 2018 12:33PM EDT
Storybird requirements:

- a modern browser. Suggested editions: Chrome, Safari 5+, Firefox 5+, IE 11+, Opera 12.11+ (Generally we support the last three versions of major browsers)

- a reasonably fast internet connection (minimum 2-5 Mbps)

- Javascript turned on, cookies enabled



Please note: You can use Storybird with a lesser browser or a slower connection but your experience may suffer and some features may not work. 





 

Contact Us

support@storybird.com
http://assets1.desk.com/
false
storybird
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete